> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List derogations of a product



## OpenAPI

````yaml /openapi.json get /derogations
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /derogations:
    get:
      tags:
        - derogations
      summary: List derogations of a product
      operationId: DerogationController_oldListDerogations
      parameters:
        - name: count
          required: false
          in: query
          description: the number of items to return
          schema:
            default: 10
            type: number
        - name: page
          required: false
          in: query
          description: the page to retrieve
          schema:
            default: 1
            type: number
        - name: status
          required: false
          in: query
          schema:
            type: string
        - name: policyId
          required: false
          in: query
          description: Id of the policy
          schema:
            type: string
        - name: policyIds
          required: false
          in: query
          description: List of policy Ids
          schema:
            type: array
            items:
              type: string
        - name: branchId
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OldDerogationListDerogationOutput'
      deprecated: true
components:
  schemas:
    OldDerogationListDerogationOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/OldDerogationDto'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    OldDerogationDto:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
          enum:
            - PENDING
            - DECLINED
            - APPROVED
        policyId:
          type: string
        branchId:
          type: string
        createdAt:
          type: string
      required:
        - id
        - status
        - policyId
        - branchId
        - createdAt
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page

````